Bug 1267383 - JDG 6.5.1 GA JAR files emit a version of 6.3.1.CR1-redhat-1
JDG 6.5.1 GA JAR files emit a version of 6.3.1.CR1-redhat-1
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build (Show other bugs)
6.5.1
Unspecified Unspecified
unspecified Severity urgent
: CR1
: 6.6.0
Assigned To: trev
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 17:01 EDT by Alan Field
Modified: 2016-01-11 08:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Field 2015-09-29 17:01:57 EDT
Description of problem:

The infinispan-core-6.3.1.Final-redhat-1.jar file includes the following code in the org.infinispan.Version.java file:

   private static final String MAJOR = "6";
   private static final String MINOR = "3";
   private static final String MICRO = "1";
   private static final String MODIFIER = "CR1-redhat-1";

And this version is logged as "6.3.1.CR1-redhat-1". The embedded uberjar returns the same:

[afield@dhcp65-183 jboss-datagrid-6.5.1-library]$ java -cp ./infinispan-embedded-6.3.1.Final-redhat-1.jar org.infinispan.Version
Infinispan

Version: 	6.3.1.CR1-redhat-1
Codename: 	Infinium
History: 	(see https://jira.jboss.org/jira/browse/ISPN for details)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Martin Gencur 2015-12-17 08:07:31 EST
This cannot be verified with ER build. The fix is only activated with CR builds. Moving target to CR1.
Comment 5 Martin Gencur 2016-01-11 08:03:32 EST
Verified for both:
1) server distribution - by starting the server
2) library distribution - by running the following command with the library mode uberjar: java -cp ./infinispan-embedded-6.4.0.Final-redhat-1.jar org.infinispan.Version

Note You need to log in before you can comment on or make changes to this bug.